package com.ett.rocketmq.service;

import com.ett.rocketmq.dto.TestMqMessageDto;
import com.ett.rocketmq.producer.MQProducer;
import org.apache.rocketmq.client.exception.MQClientException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

@Service
public class ProducerService {

    @Value("${rocketmq.consumer.topic}")
    private String topic;

    @Value("${rocketmq.consumer.tag}")
    private String tag;

    @Autowired
    private MQProducer mqProducer;

    public void start(){
        try {
            mqProducer.start();
        } catch (MQClientException e) {
            e.printStackTrace();
        }
    }

    public void send(){
        try {
            mqProducer.start();
        } catch (MQClientException e) {
            e.printStackTrace();
        }
        String test = "hellow word";
        TestMqMessageDto testMqMessageDto = new TestMqMessageDto();
        testMqMessageDto.setS(test);
        mqProducer.send("DemoTopic",tag,testMqMessageDto);
        //关闭,根据实际情况操作
        //mqProducer.shutdown();
    }


}
